User/pass logged in PostgreSQL connection string

Bug #1266804 reported by Sascha Peilicke on 2014-01-07
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Cinder
Medium
Justin Shepherd
Grizzly
Medium
Sascha Peilicke
Havana
Medium
Sascha Peilicke

Bug Description

PostgreSQL connection strings may contain passwords too which need to be filtered out (like it's done for MySQL).

Changed in cinder:
assignee: nobody → Justin Shepherd (jshepher)
status: New → In Progress

Reviewed: https://review.openstack.org/65309
Committed: https://git.openstack.org/cgit/openstack/cinder/commit/?id=d64478fd35a7024f46fa8dbf54103a7a0e30be5a
Submitter: Jenkins
Branch: master

commit d64478fd35a7024f46fa8dbf54103a7a0e30be5a
Author: galstrom21 <email address hidden>
Date: Tue Jan 7 10:38:06 2014 -0600

    Hiding postgresql password in connection string

    Closes-Bug: #1266804
    Change-Id: Iafc820d6201acf5b563b62bd9f20a715901f1ab4

Changed in cinder:
status: In Progress → Fix Committed

Fix proposed to branch: stable/grizzly
Review: https://review.openstack.org/67452

Thierry Carrez (ttx) on 2014-01-22
Changed in cinder:
milestone: none → icehouse-2
status: Fix Committed → Fix Released
Alan Pevec (apevec) on 2014-02-11
Changed in cinder:
importance: Undecided → Medium

Reviewed: https://review.openstack.org/67452
Committed: https://git.openstack.org/cgit/openstack/cinder/commit/?id=2d0278fa434f450057d69b360f3feb48e81dc8e8
Submitter: Jenkins
Branch: stable/grizzly

commit 2d0278fa434f450057d69b360f3feb48e81dc8e8
Author: Sascha Peilicke <email address hidden>
Date: Mon Jan 13 11:19:40 2014 +0100

    Hiding postgresql password in connection string

    Change-Id: Iafc820d6201acf5b563b62bd9f20a715901f1ab4
    Closes-Bug: #1266804

tags: added: in-stable-grizzly

Reviewed: https://review.openstack.org/66294
Committed: https://git.openstack.org/cgit/openstack/cinder/commit/?id=e8aeb57599eb4ba04d17c3681cc43fbf746906e9
Submitter: Jenkins
Branch: stable/havana

commit e8aeb57599eb4ba04d17c3681cc43fbf746906e9
Author: Sascha Peilicke <email address hidden>
Date: Mon Jan 13 11:20:11 2014 +0100

    Hiding postgresql password in connection string

    Closes-Bug: #1266804
    Change-Id: Iafc820d6201acf5b563b62bd9f20a715901f1ab4

tags: added: in-stable-havana
Alan Pevec (apevec) on 2014-03-20
tags: removed: in-stable-grizzly
Thierry Carrez (ttx) on 2014-04-17
Changed in cinder:
milestone: icehouse-2 → 2014.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers